using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Updating;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
// namespaces...
namespace EntityFirst.Module.Web
{
    // public classes...
    [ToolboxItemFilter("Xaf.Platform.Web")]
    public sealed partial class EntityFirstAspNetModule : ModuleBase
    {
        // public constructors...
        public EntityFirstAspNetModule()
        {
            InitializeComponent();
        }
        // public methods...
        public override IEnumerable<ModuleUpdater> GetModuleUpdaters(IObjectSpace objectSpace, Version versionFromDB)
        {
            return ModuleUpdater.EmptyModuleUpdaters;
        }
        public override void Setup(XafApplication application)
        {
            base.Setup(application);
        }
    }
}
